Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.validator
Class EqualityValidator

    java.lang.Object
      org.jboss.seam.ui.validator.EqualityValidator

All Implemented Interfaces:
  EventListener, javax.faces.component.StateHolder, javax.faces.validator.Validator

    public class EqualityValidator

extends Object
implements javax.faces.validator.Validator, javax.faces.component.StateHolder

Validate two fields are equal

Author:
  pmuir, Daniel Roth

Field Summary
`static String` | `MESSAGE_ID`
`static String` | `VALIDATOR_ID`

Fields inherited from interface javax.faces.validator.Validator
`NOT_IN_RANGE_MESSAGE_ID`

Constructor Summary
`EqualityValidator()`
`EqualityValidator(String forId)`
`EqualityValidator(String forId, String message, String messageId, String operator)`

Method Summary
`String` | `getFor()`
`String` | `getMessage()`
`String` | `getMessageId()`
`org.jboss.seam.ui.validator.EqualityValidator.ValidOperation` | `getOperator()`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
`Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setFor(String forId)`
`void` | `setMessage(String message)`
`void` | `setMessageId(String messageId)`
`void` | `setOperator(org.jboss.seam.ui.validator.EqualityValidator.ValidOperation operator)`
`void` | `setTransient(boolean newTransientValue)`
`void` | `validate(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE_ID

    public static final String MESSAGE_ID

See Also:
  Constant Field Values

### VALIDATOR_ID

    public static final String VALIDATOR_ID

See Also:
  Constant Field Values

Constructor Detail

### EqualityValidator

    public EqualityValidator()

### EqualityValidator

    public EqualityValidator(String forId)

### EqualityValidator

    public EqualityValidator(String forId,
                             String message,
                             String messageId,
                             String operator)

Method Detail

### validate

    public void validate(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component,
                         Object value)
                  throws javax.faces.validator.ValidatorException

  Specified by:
    `validate` in interface `javax.faces.validator.Validator`
  Throws:
    `javax.faces.validator.ValidatorException`

### getFor

    public String getFor()

### setFor

    public void setFor(String forId)

### getMessage

    public String getMessage()

### setMessage

    public void setMessage(String message)

### getMessageId

    public String getMessageId()

### setMessageId

    public void setMessageId(String messageId)

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### saveState

    public Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### getOperator

    public org.jboss.seam.ui.validator.EqualityValidator.ValidOperation getOperator()

### setOperator

    public void setOperator(org.jboss.seam.ui.validator.EqualityValidator.ValidOperation operator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.